<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_PRODUTOS_CONVERSAO == 1) {

    class ContratosConversaoProdutosController extends GxController {

        public function actionAdmin()
        {
            $model = new ContratosConversaoProdutos('search');
            $model->unsetAttributes();

            if (isset($_GET['ContratosConversaoProdutos']))
                $model->setAttributes($_GET['ContratosConversaoProdutos']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

        public function actionView($id)
        {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'ContratosConversaoProdutos'),
            ));
        }

        public function actionCreate()
        {
            $model = new ContratosConversaoProdutos;

            if (isset($_POST['ContratosConversaoProdutos'])) {
                $model->setAttributes($_POST['ContratosConversaoProdutos']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->CIP_ID));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id)
        {
            $model = $this->loadModel($id, 'ContratosConversaoProdutos');

            if (isset($_POST['ContratosConversaoProdutos'])) {
                $model->setAttributes($_POST['ContratosConversaoProdutos']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->CIP_ID));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id)
        {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'ContratosConversaoProdutos')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

    }

}